#ifndef DELAUNAY_H
#define DELAUNAY_H

#include <iostream>
#include <fstream>
#include <vector>
#include <string>
#include <cmath>
//#include "triangle.h"
#include "Vec.h"

class Delaunay
{
public:
	Delaunay();
	Delaunay(std::vector<trimesh::vec2> point_set);
	~Delaunay();

private:
	std::vector<trimesh::vec2>						m_pointSet;
	//triangulateio									m_triangleIn;
	//triangulateio									m_triangleOut;
	std::vector<trimesh::ivec3>						m_triangleSet;
public:
	void Process();
	std::vector<trimesh::ivec3> getTriangleGraph();

private:
	void IniteTriangle();
};

#endif